com.sun.java.xml.ns.javaee

## Class IconType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.IconType

-     public class IconType
      extends Object

  The icon type contains small-icon and large-icon elements that specify the file names for small and large GIF, JPEG, or PNG icon images used to represent the parent element in a GUI tool. The xml:lang attribute defines the language that the icon file names are provided in. Its value is "en" (English) by default.

  Java-Klasse für iconType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="iconType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="small-icon" type="{http://java.sun.com/xml/ns/javaee}pathType" minOccurs="0"/>
               <element name="large-icon" type="{http://java.sun.com/xml/ns/javaee}pathType" minOccurs="0"/>
             </sequence>
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected String` | `lang`
    `protected PathType` | `largeIcon`
    `protected PathType` | `smallIcon`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `String` | `getLang()` Ruft den Wert der lang-Eigenschaft ab.
    `PathType` | `getLargeIcon()` Ruft den Wert der largeIcon-Eigenschaft ab.
    `PathType` | `getSmallIcon()` Ruft den Wert der smallIcon-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLang(String value)` Legt den Wert der lang-Eigenschaft fest.
    `void` | `setLargeIcon(PathType value)` Legt den Wert der largeIcon-Eigenschaft fest.
    `void` | `setSmallIcon(PathType value)` Legt den Wert der smallIcon-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### smallIcon

          protected PathType smallIcon

    - #### largeIcon

          protected PathType largeIcon

    - #### lang

          protected String lang

    - #### id

          protected String id

  - ### Constructor Detail

    - #### IconType

          public IconType()

  - ### Method Detail

    - #### getSmallIcon

          public PathType getSmallIcon()

      Ruft den Wert der smallIcon-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setSmallIcon

          public void setSmallIcon(PathType value)

      Legt den Wert der smallIcon-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getLargeIcon

          public PathType getLargeIcon()

      Ruft den Wert der largeIcon-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setLargeIcon

          public void setLargeIcon(PathType value)

      Legt den Wert der largeIcon-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getLang

          public String getLang()

      Ruft den Wert der lang-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Legt den Wert der lang-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.